Bug 10186 - Typo in subscription-add.tt (years vs year)
Summary: Typo in subscription-add.tt (years vs year)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.14
Hardware: All All
: P5 - low trivial (vote)
Assignee: mathieu saby
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-03 15:20 UTC by mathieu saby
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 10186: Fix a typo in subscription-add.tt : 2/years should be 2/year (1.42 KB, patch)
2013-05-04 09:16 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 10186: Fix a typo in subscription-add.tt : 2/years should be 2/year (1.51 KB, patch)
2013-05-08 08:17 UTC, David Cook
Details | Diff | Splinter Review
Bug 10186: Fix a typo in subscription-add.tt : 2/years should be 2/year (1.51 KB, patch)
2013-05-08 08:18 UTC, David Cook
Details | Diff | Splinter Review
Bug 10186: Fix a typo in subscription-add.tt : 2/years should be 2/year (1.61 KB, patch)
2013-05-08 11:46 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-05-03 15:20:38 UTC
Typo to fix in koha-tmpl/intranet-tmpl/prog/en/modules/serials/subscription-add.tt

replace "2/years" with "2/year" in this block : 

[% IF ( periodicity9 ) %]
                    <option value="9" selected="selected">2/years</option>
                [% ELSE %]
                    <option value="9">2/year</option>
                [% END %]



M. Saby
Comment 1 mathieu saby 2013-05-04 09:16:37 UTC Comment hidden (obsolete)
Comment 2 David Cook 2013-05-08 08:17:43 UTC Comment hidden (obsolete)
Comment 3 David Cook 2013-05-08 08:18:09 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2013-05-08 11:46:09 UTC
Created attachment 18018 [details] [review]
Bug 10186: Fix a typo in subscription-add.tt : 2/years should be 2/year

In subscription-add.tt dropdown list for periodiciy, the description for 9 value should be "2/year" (2 issues each year)
At present, if the option value is selected, it is "2/years".
This patch supresses the "s" after "year".

To test :
- in a subscription, change periodicity to "2/year"
- save the subscription
- reopen it and check the value is labelled "2/year"

Signed-off-by: David Cook <dcook@prosentient.com.au>

Trivial change. Works as described.
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2013-05-08 11:47:00 UTC
Passed QA
Comment 6 Galen Charlton 2013-05-20 14:56:02 UTC
Pushed to master.  Thanks, Mathieu!
Comment 7 Tomás Cohen Arazi 2013-05-20 18:01:07 UTC
This patch has been pushed to 3.12.x, will be in 3.12.1.
Comment 8 Bernardo Gonzalez Kriegel 2013-05-28 01:13:15 UTC
This patch has been pushed to 3.10.x, will be in 3.10.7.
Comment 9 Chris Hall 2013-05-29 09:41:47 UTC
Pushed to 3.8.x, will be in 3.8.14.